

%define kf5package_major 5
%define libkf5package %mklibname kf5package %{kf5package_major}
%define kf5package_devel %mklibname kf5package -d

Summary:        KDE Frameworks 5 Tier 2 library to load and install packages as plugins
Name:           kpackage
Version: 	5.51.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: libqt5base5-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5help-devel
BuildRequires: libqt5imageformats-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5qml-devel
BuildRequires: libqt5quick-devel
BuildRequires: libqt5bluetooth-devel

BuildRequires: libqt5clucene-devel
BuildRequires: libqt5concurrent-devel
BuildRequires: libqt5designer-devel
BuildRequires: libqt5labstemplates-devel
BuildRequires: libqt5location-devel
BuildRequires: libqt5multimedia-devel
BuildRequires: libqt5multimediawidgets-devel
BuildRequires: libqt5nfc-devel
BuildRequires: libqt5opengl-devel
BuildRequires: libqt5platformsupport-devel
BuildRequires: libqt5positioning-devel
BuildRequires: libqt5printsupport-devel
BuildRequires: libqt5quickparticles-devel
BuildRequires: libqt5quicktest-devel
BuildRequires: libqt5quickwidgets-devel
BuildRequires: libqt5script-devel
BuildRequires: libqt5scripttools-devel
BuildRequires: libqt5sensors-devel
BuildRequires: libqt5serialport-devel
BuildRequires: libqt5sql-devel
BuildRequires: libqt5svg-devel
BuildRequires: libqt5test-devel
BuildRequires: libqt5waylandclient-devel
BuildRequires: libqt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  ki18n-devel >= 5.20.0
BuildRequires:  kconfig-devel >= 5.20.0
BuildRequires:  karchive-devel >= 5.20.0
BuildRequires:  kdoctools-devel >= 5.20.0
BuildRequires:  kcoreaddons-devel >= 5.20.0

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
KDE Frameworks 5 Tier 2 library to load and install non-binary packages as
if they were plugins.

%files -f lib%{name}5.lang
%_kf5_bindir/kpackagetool5
%_kf5_datadir/kservicetypes5/kpackage-packagestructure.desktop
%_kf5_mandir/*/man?/*
%_kf5_mandir/man1/kpackagetool5.1.*
#--------------------------------------------------------------------
%_kf5_libdir/libKF5Package.so.%{kf5package_major}*
#--------------------------------------------------------------------
%_kf5_datadir/kservicetypes5/kpackage-generic.desktop
%_kf5_datadir/kservicetypes5/kpackage-genericqml.desktop
/etc/xdg/kpackage.categories

%package -n %kf5package_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5package_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5package_devel
%_kf5_includedir/KPackage
%_kf5_includedir/kpackage_version.h
%_kf5_libdir/cmake/KF5Package
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q


%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang lib%{name}5



%changelog
* Wed Oct 24 2018 adrianomorselli <adrianomorselli> 5.51.0-2uplos2018
- update
